<div *ngIf="!loading" class="form">
    <mat-icon class="close-popup" (click)="closePopup()">clear</mat-icon>
    <h2 class="form__title">Datos del nuevo producto</h2>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Nombre de tu producto
            </h3>
            <mat-form-field>
                <mat-label>Nombre del Producto</mat-label>
                <input #name matInput placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Tipo de tu producto
            </h3>
            <mat-form-field>
                <mat-label>Tipo de producto</mat-label>
                <mat-select  [(ngModel)]="product_type">
                    <mat-option [value]="type" *ngFor="let type of types">
                        {{type}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Descripción de tu producto
            </h3>
            <mat-form-field>
                <mat-label>Descripción</mat-label>
                <textarea #description matInput rows="4" placeholder="Escribe aquí ..."></textarea>
            </mat-form-field>
        </div>
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                SKU de tu producto
            </h3>
            <mat-form-field>
                <mat-label>SKU</mat-label>
                <input autocomplete="off" #sku matInput placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
    </div>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Precio de tu producto
            </h3>
            <mat-form-field>
                <mat-label>Precio Unitario</mat-label>
                <span matPrefix>$ &nbsp;</span>
                <input autocomplete="off" (input)="noNegative(price)" #price matInput type="number" placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                El costo es por:
            </h3>
            <mat-form-field>
                <mat-label>Unidad de precio</mat-label>
                <mat-select [(ngModel)]="price_unit">
                    <mat-option [value]="unit" *ngFor="let unit of price_units">
                        {{unit}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Cantidad en inventario
            </h3>
            <mat-form-field>
                <mat-label>Cantidad en inventario</mat-label>
                <input autocomplete="off" (input)="noNegative(stock)" #stock matInput type="number" placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Mi producto se almacena en: 
            </h3>
            <mat-form-field>
                <mat-label>Unidad de Inventario</mat-label>
                <mat-select [(ngModel)]="stock_unit">
                    <mat-option [value]="unit" *ngFor="let unit of stock_units">
                        {{unit}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Mi producto se vende por:
            </h3>
            <mat-form-field>
                <mat-label>Unidades de venta</mat-label>
                <mat-select (selectionChange)="addUnit($event)">
                    <mat-option *ngFor="let sell of selling_units" [value]="sell">
                        {{sell}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
            <mat-chip-list #chipList>
                <mat-chip
                *ngFor="let type of selling_unit"
                [removable]="true"
                (removed)="removeUnit(type)">
                {{type}}
                <mat-icon matChipRemove>cancel</mat-icon>
                </mat-chip>
            </mat-chip-list>
        </div>
    </div>
    <div class="form__row form__row_no-flex">
        <div>
            <h3 *ngIf="characteristics.length > 0">Caracteristicas del Producto</h3>
            <ul>
                <li *ngFor="let characteristic of characteristics">
                    <span>{{characteristic}}</span>
                    <button style="margin-left: 20px;" color="warn" mat-icon-button (click)="removeChar(characteristic)">
                        Borrar
                        <mat-icon>delete</mat-icon>
                    </button>
                </li>
            </ul>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Escribe la característica y pulsa el botón "Agregar Característica" o ENTER:
            </h3>
            <mat-form-field>
                <mat-label>Características</mat-label>
                <input (keydown.enter)="addCharacteristic(characteristic)" #characteristic matInput placeholder="Escribe aquí ...">
            </mat-form-field>
            <button mat-flat-button color="primary"(click)="addCharacteristic(characteristic)">
                Agregar Caracteristica
            </button>
        </div>
    </div>
    <div class="form__row form__row_no-flex">
        <div>
            <button mat-flat-button color="primary" (click)="uploader.click()">
                Añadir Imágen
                <input hidden type="file" #uploader
                    (change)="uploadFile($event)"
                    accept="image/*"
                />
            </button>
            <div class="form__image-place">
                <div *ngFor="let image of images">
                    <img [src]="image">
                    <button style="margin-left: 20px;" color="warn" mat-icon-button (click)="removeImage(image)">
                        Borrar
                        <mat-icon>delete</mat-icon>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <button mat-flat-button color="accent" (click)="addProduct(name,price,stock,sku,description)">
        Agregar Nuevo Producto
    </button>
</div>
<div *ngIf="loading" class="loading_screen">
    <h1>Añadiendo nuevo producto</h1>
    <mat-spinner class="loading_screen__spinner"></mat-spinner>
</div>